List customers
GET
/customersCosts 1 rate-limit point · Rate limits
Retrieve a paginated list of customers. Supports search by name, email, or tax number.
Query parameters
searchstringSearch by name, email, or tax number.
pageintegerPage number.
Default1per_pageintegerItems per page (max 250).
Default25
Returns
customersarray of objectsShow 11 child attributesHide child attributes
idintegerExample:9177emailstringExample:jane.doe@example.comfirst_namestringExample:Janelast_namestringExample:DoephonestringExample:+1 555 010 0199tax_numberstringVAT/GST/tax identification number.
eori_numberstringEU EORI number.
tagsstringExample:wholesale, newslettershopify_customer_idintegerExample:7001234567created_atstringExample:2025-09-21T16:45:00Zupdated_atstringExample:2026-01-15T09:30:00Z
metaobjectShow 4 child attributesHide child attributes
totalintegerExample:2pageintegerExample:1per_pageintegerExample:25total_pagesintegerExample:1
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
GET/customers
curl "https://app.invoicefalcon.com/api/v1/external/customers" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY"const res = await fetch("https://app.invoicefalcon.com/api/v1/external/customers", {
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
},
});
const data = await res.json();import os
import requests
res = requests.get(
"https://app.invoicefalcon.com/api/v1/external/customers",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/customers")
req = Net::HTTP::Get.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"])
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"customers": [
{
"id": 9177,
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tax_number": "US-12-3456789",
"eori_number": null,
"tags": "wholesale, newsletter",
"shopify_customer_id": 7001234567,
"created_at": "2025-09-21T16:45:00Z",
"updated_at": "2026-01-15T09:30:00Z"
},
{
"id": 9203,
"email": "sam.rivera@example.com",
"first_name": "Sam",
"last_name": "Rivera",
"phone": null,
"tax_number": null,
"eori_number": null,
"tags": "",
"shopify_customer_id": 7001234999,
"created_at": "2025-10-02T11:20:00Z",
"updated_at": "2025-10-02T11:20:00Z"
}
],
"meta": {
"total": 2,
"page": 1,
"per_page": 25,
"total_pages": 1
}
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}